# Class SplitterHandlePanel.DragHandler

java.lang.Object
java.awt.event.MouseAdapter
jam.panels.SplitterHandlePanel.DragHandler

All Implemented Interfaces:
  `MouseListener, MouseMotionListener, MouseWheelListener, EventListener`

Enclosing class:
  `SplitterHandlePanel`

public class SplitterHandlePanel.DragHandler extends MouseAdapter

Author:
  rambaut

## Constructor Summary

Constructors
Constructor
Description
`DragHandler(JComponent component)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`void`
`mouseDragged(MouseEvent e)`
`void`
`mousePressed(MouseEvent e)`

### Methods inherited from class MouseAdapter

`mouseClicked, mouseEntered, mouseExited, mouseMoved, mouseReleased, mouseWheelMoved`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DragHandler

public DragHandler(JComponent component)

## Method Details

### dispose

public void dispose()

### mousePressed

public void mousePressed(MouseEvent e)

Specified by:
  `mousePressed` in interface `MouseListener`
Overrides:
  `mousePressed` in class `MouseAdapter`

### mouseDragged

public void mouseDragged(MouseEvent e)

Specified by:
  `mouseDragged` in interface `MouseMotionListener`
Overrides:
  `mouseDragged` in class `MouseAdapter`